<!-- templates/home.html -->
{% extends 'base.html' %}
{% load gestion_projets_extras %}

{% block title %}Liste des Sessions{% endblock %}
{% block titlePage %}Liste des Sessions{% endblock %}

{% block menu %}
	{% include "includes/menu.html" with active_tab='tab1' %}
{% endblock %}

{% block breadcrumbs %}
<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
<li class="page-item"><a href="{% url 'gestion_projets:session_list' %}" class="page-link">Sessions</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:session_list' %}" class="page-link">Liste</a></li>
{% endblock %}

{% block content %}
<div class="m-3">
    <div class="panel mt-4" >
	<br>
	{% if sessions_list %}
		<table class="table">
			<thead>
			<tr>
				<th>Session</th>
				<th>Date début</th>
				<th>Date fin</th>
				<th>Etapes</th>
				{% if user|has_group:"Tutor" %}
				<th>CR à valider</th>
				{% endif %}
				<th>Actions</th>
			</tr>
			</thead>
			<tbody>
			{% for session in sessions_list %}
                {% if user|has_group:session.group.name or user|has_group:"Tutor" %}
				<tr>
					<td>{{ session.session_name }} 
                        <a class="button success" title="Description : {{ session.description|striptags }}" href="#"><center>
                            <span class="mif-info icon"></span></center>
                        </a>
                    </td>
					<td>{{ session.session_start }}</td>
					<td>{{ session.session_end }}</td>
                    <td><div data-role="stepper" data-steps="4" data-step="{{ session.phase }}"></div></td>
                    {% if user|has_group:"Tutor" %}
                    <td>                    
                    	<center><a href="#" class="app-bar-item" title="Nombre de CR à valider">
                        	<span class="mif-bell mr-5"></span>
                        	<span class="badge bg-orange fg-white ">{{ user|count_projects_validation_user:session }}</span>
                    	</a></center>
                	</td>
                    {% endif %} 
                    <td>
                        <a class="image-button success" title="Voir les informations de la session" href="{% url 'gestion_projets:session_view' session.id %}"><center>
                            <span class="mif-lines icon"></span>
                            <span class="caption">Voir</span></center>
                        </a>
                        {% if user|has_group:"Admin" %}
                        <a class="image-button info" title="Voir les informations de la session" href="{% url 'gestion_projets:session_admin_view' session.id %}"><center>
                            <span class="mif-magic-wand icon"></span>
                            <span class="caption">Admin</span></center>
                        </a>
                        {% endif %}
                    </td>
				</tr>
                {% endif %}
			{% endfor %}
			</tbody>
		</table>
	{% else %}
		<p>No Sessions are available.</p>
	{% endif %}
	</div>
</div>
{% endblock %}
